PANICPARSE(1)

NAME
panicparse - parses panic stack traces from golang programs

SYNOPSIS
panicparse [options] file
go test -v 2>&1 | panicparse

DESCRIPTION
This manual page documents briefly the panicparse command.

panicparse parses panic stack traces, densifies and deduplicates goroutines with similar stack traces. Helps debugging crashes and deadlocks in heavily parallelized processes.

OPTIONS
A summary of options is included below.

-aggressive
    Aggressive deduplication including non pointers

-f string
    Regexp to filter out headers that match, ex: -f 'IO wait|syscall'

-force-color
    Forcibly enable coloring when with stdout is redirected

-full-path
    Print full sources path

-html string
    Output an HTML file

-m string
    Regexp to filter by only headers that match, ex: -m 'semacquire'

-no-color
    Disable coloring

-parse
    Parses source files to deduct types; use -parse=false to work around bugs in source parser (default true)

-rebase
    Guess GOROOT and GOPATH (default true)

-v  Enables verbose logging output